package demoServlets;
import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;

public class AuthServlet extends HttpServlet
{

 /**
 * Method to recieve get requests from the web server
 * (Passes them onto the doPost method)
 * @param req The HttpServletRequest which contains the information submitted via get
 * @param res A response containing the requred response data for this request
 **/

 public void doGet(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException
 {
  doPost(req,res);
 }

 /**
 * Method to recieve and process Post requests from the web server
 * @param req The HttpServletRequest which contains the information submitted via post
 * @param res A response containing the requred response data for this request
 **/

 public void doPost(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException
 {

  if (authenticate(req))
  {
   //*****Their was a vailed username/password included in the header*****
   res.setContentType("text/html");
   PrintWriter out=res.getWriter();
   out.println("<HTML>");
   out.println("<HEAD><TITLE>Authenticate header test</TITLE></HEAD>");
   out.println("<BODY>");
   out.println("<CENTER>");
   out.println("You have been authorised !!!");
   out.println("</CENTER>");
   out.println("</BODY>");
   out.println("</HTML>");
   out.close();
  }
  else
  {
   //*****We were'nt sent a valied username/password in the header, so ask for one*****
   res.setHeader("WWW-Authenticate","Basic realm=\"Authorisation test servlet\"");
   res.sendError(HttpServletResponse.SC_UNAUTHORIZED, "");
  }

 }

 /**
 * This method returns true if the HttpServletRequest contains a valied authorization header
 * @param req The HttpServletRequest to test
 * @return true if the Authorization header is valied
 **/

 private boolean authenticate(HttpServletRequest req)
 {
  String authhead=req.getHeader("Authorization");

  if(authhead!=null)
  {
   //*****Decode the authorization String*****
   String usernpass=Base64.decode(authhead.substring(6));
   //*****Split the username from the password*****
   String user=usernpass.substring(0,usernpass.indexOf(":"));
   String password=usernpass.substring(usernpass.indexOf(":")+1);

   if (user.equals("user") && password.equals("pass"))
    return true;
  }

  return false;
 }
}
