package demoServlets;
import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;

public class MyNameServlet extends HttpServlet
{
 private String message;

 /**
 * Servlet method to initialise the class
 * @param conf a ServletConfig object describing the default startup params for this class
 **/

 public void init(ServletConfig conf) throws ServletException
 {
  message=conf.getInitParameter("MESSAGE");
 }

 /**
 * Method to recieve get requests from the web server
 * (Passes them onto the doPost method)
 * @param req The HttpServletRequest which contains the information submitted via get
 * @param res A response containing the requred response data for this request
 **/

 public void doGet(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException
 {
  doPost(req,res);
 }

 /**
 * Method to recieve and process Post requests from the web server
 * @param req The HttpServletRequest which contains the information submitted via post
 * @param res A response containing the requred response data for this request
 **/

 public void doPost(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException
 {
  String name=req.getParameterValues("yourname")[0];
  String reply="<HTML>\n<HEAD><TITLE>My Name Servlet Response</TITLE></HEAD>\n<BODY>\n<CENTER><BR><B>\n";
  reply=reply.concat(message+" "+name);
  reply=reply.concat("\n</B></CENTER>\n</BODY>\n</HTML>");

  //*****Send the reply*****

  res.setContentType("text/html");
  PrintWriter out=res.getWriter();
  out.println(reply);
  out.close();
 }
}
