package demoServlets;
import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;

public class MyNameServlet2 extends HttpServlet
{
 private String message;

 /**
 * Servlet method to initialise the class
 * @param conf a ServletConfig object describing the default startup params for this class
 **/

 public void init(ServletConfig conf) throws ServletException
 {
  message=conf.getInitParameter("MESSAGE");
 }

 /**
 * Method to recieve get requests from the web server
 * (Passes them onto the doPost method)
 * @param req The HttpServletRequest which contains the information submitted via get
 * @param res A response containing the requred response data for this request
 **/

 public void doGet(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException
 {
  doPost(req,res);
 }

 /**
 * Method to recieve and process Post requests from the web server
 * @param req The HttpServletRequest which contains the information submitted via post
 * @param res A response containing the requred response data for this request
 **/

 public void doPost(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException
 {
  String name="none";

  //******See if a name has been specified*****
  String[] x=req.getParameterValues("yourname");

  if(x!=null)
  {
   //*****A name has been supplied from the form, so give the user a cookie with this name*****
   name=x[0];
   res.addCookie(new Cookie("MyNameServlet_cookie",name));
  }
  else
  {
   //*****See if there is a cookie in the request containing a name*****
   Cookie[] list=req.getCookies();
   for (int loop=0; loop<list.length ; loop++)
    if(list[loop].getName().equals("MyNameServlet_cookie"))
    {
     //*****The cookie has bee found, get its value and exit the loop*****
     name=list[loop].getValue();
     loop=list.length;
    }

  }

  //*****Construct the HTML Reply*****
  String reply="<HTML>\n<HEAD><TITLE>My Name Servlet Response</TITLE></HEAD>\n<BODY>\n<CENTER><BR><B>\n";
  reply=reply.concat(message+" "+name);
  reply=reply.concat("\n</B></CENTER>\n</BODY>\n</HTML>");

  //*****Send the reply*****

  res.setContentType("text/html");
  PrintWriter out=res.getWriter();
  out.println(reply);
  out.close();
 }
}
