package demoServlets;
import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;

public class SplitNameServlet2 extends HttpServlet
{

 /**
 * Method to recieve get requests from the web server
 * (Passes them onto the doPost method)
 * @param req The HttpServletRequest which contains the information submitted via get
 * @param res A response containing the requred response data for this request
 **/

 public void doGet(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException
 {
  doPost(req,res);
 }

 /**
 * Method to recieve and process Post requests from the web server
 * @param req The HttpServletRequest which contains the information submitted via post
 * @param res A response containing the requred response data for this request
 **/

 public void doPost(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException
 {
  //*****Get the current session. 'false' parameter tells java not to create a new one if one does not exist, so returns null if there is no session*****
  HttpSession session=req.getSession(false);
  String output="No Session";
  if (session!=null)
   output="Hello "+session.getValue("name");

  //*****Send the reply*****

  res.setContentType("text/html");
  PrintWriter out=res.getWriter();
  out.println("<HTML>\n<HEAD><TITLE>Split Name Servlet Response</TITLE></HEAD>\n<BODY>\n<CENTER><BR><B>\n"+
   "<P>"+output+"</P>"+
   "\n</B></CENTER>\n</BODY>\n</HTML>" );
  out.close();

  //*****We've finished with the session, so shut it down*****
  session.invalidate();
 }
}
